.tiki-webmail, .tiki-cypht, .mobile.tiki-cypht, .inline-cypht {
	background: $body-bg !important;
	font-family: $font-family-base;
	color: $body-color !important;


	// override colors when not using cypht default theme
	img { opacity: 1 !important; }
	ul, li { background-color: transparent !important; }
	main, div { border-radius: 0; }
	.ui-widget-content { background-color: $ui-default-bg !important; }
	.ui-menu-item-wrapper { color: $body-color !important; }
	.ui-state-active { color: $ui-default-link-active-color !important; }
	.popover-header { color: $popover-header-color !important; }
	.popover-body { color: $popover-body-color !important; }
	.btn-primary {
		color: color-yiq($primary) !important;
		background-color: $primary !important;
		border-color: darken($primary, 7.5%) !important;
		&:hover, &:focus { background-color: darken($primary, 7.5%) !important; }
	}
	.btn-info {
		color: color-yiq($info) !important;
		background-color: $info !important;
		border-color: darken($info, 7.5%) !important;
		&:hover, &:focus { background-color: darken($info, 7.5%) !important; }
	}
	.card { border-color: $card-border-color !important; }
	.card-header { border-color: $card-border-color !important; }
	.card-body {
		.nav-link {
			&, small { color: $link-color !important; }
		}
	}
	.dropdown-menu {
		background-color: $dropdown-bg !important;
		border-color: $dropdown-border-color !important;
	}
	.dropdown-divider { border-color: $dropdown-divider-bg !important; }
	.dropdown-header { color: $dropdown-header-color !important; }
	.moduletitle { color: $body-color !important; }
	a:not(.dropdown-item) .icon, .btn-link {
		border-color: transparent !important;
		color: $link-color !important;
		&:hover { color: $link-hover-color !important; }
	}
	.form-control {
		background-color: $input-bg !important;
		border-color: $input-border-color !important;
		color: $input-color !important;
	}
	.chosen-container .chosen-results li.active-result {
		&.text-muted.bg-info { background-color: $info !important; }
		&.result-selected, &.highlighted { background-color: $link-color !important; }
	}
	.nav-tabs {
		border: none !important;
		border-bottom: 1px solid $nav-tabs-border-color !important;
		.nav-link { color: $link-color !important; }
		.nav-link.active, .nav-item.show .nav-link { color: $link-hover-color !important; }
		.nav-link:not(.active) { border: none !important; }
	}
	// override colors when not using cypht default theme


	a:not(.btn), a.btn-link {
		color: $link-color !important;
		&:hover {
			color: $link-hover-color !important;
			text-decoration: inherit;
		}
	}

	.flipmodtitle.close, .close {
		font-size: $close-font-size; // This is defined only in the materia theme -- how did other themes compile? I added a def in tiki-variables.scss
		&, &:hover, &:focus { color: $close-color !important; }
	}

	.navbar-light .navbar-nav .nav-link {
		color: $navbar-light-color !important;
		&:hover, &:focus { color: $navbar-light-hover-color !important; }
	}
	.navbar-dark .navbar-nav .nav-link {
		color: $navbar-dark-color !important;
		&:hover, &:focus { color: $navbar-dark-hover-color !important; }
	}
	.dropdown-menu .dropdown-item {
		border-radius: 0;
		&, .icon { color: $dropdown-link-color !important; }
		&:hover, &:focus {
			&, .icon { color: $dropdown-link-hover-color !important; }
		}
	}
}

.inline-cypht {
	background: transparent;
	a:not(.btn):hover {
		text-decoration: $link-hover-decoration !important;
	}

	.folders a, .subject a, .selected_menu a,
	.unread_link, .selected_menu, .manage_folder_link {
		&:not(.btn) {
			color: $link-color !important;
			&:hover {
				color: $link-hover-color !important;
				text-decoration: $link-hover-decoration;
			}
		}
	}

	.folder_list, .content_cell, .compose_page, .message_list, .msg_text, .selected_part,
	.server_content, .profile_content, .user_settings,
	.nux_add_account, .imap_server_setup, .pop3_server_setup,
	.configured_server, .add_server {
		background-color: $popover-bg;
		color: $popover-body-color;
	}

	.folder_list, .content_cell { border: 1px solid $input-border-color; }
	.content_title {
		.list_meta { color: $popover-header-color !important; }
		.list_controls {
			border-top: 1px solid $input-border-color;
			border-right: 1px solid $input-border-color;
		}
	}

	.src_name, .content_title, .list_controls {
		background: $popover-header-bg;
		color: $popover-header-color;
	}
	.src_name { border-left-color: transparent; }

	.message_table > tbody > tr > td, .msg_headers, .reply_quote,
	.user_settings table td, .nux_empty_combined_view,
	.empty_list, .profiles_empty, .subtitle {
		color: $popover-body-color;
	}
	.msg_text_inner > table { background-color: #fff; }

	.msg_headers th:hover, .settings_subtitle,
	.server_section { color: inherit !important; }

	.total_unread_count, .unread_count { color: #000; }
	.btn-outline-secondary:hover { color: #fff !important; }

	.profile_details th, .msg_date,
	.news_cell .source, .news_cell .from { color: $popover-body-color; }

	input[type=button], input[type=submit] {
		display: inline-block;
		font-weight: $btn-font-weight;
		text-align: center;
		white-space: nowrap;
		vertical-align: middle;
		user-select: none;
		border: $btn-border-width solid transparent;
		@include button-size($btn-padding-y, $btn-padding-x, $font-size-base, $btn-line-height, $btn-border-radius);
		@include transition($btn-transition);
//		@include hover-focus { text-decoration: none; } // commented out to enable compiling in Bootstrap 5
		padding: $btn-padding-y $btn-padding-x !important;
		cursor: pointer;

		&:focus, &.focus {
			outline: 0;
			box-shadow: $btn-focus-box-shadow;
		}

		&.disabled, &:disabled {
			opacity: $btn-disabled-opacity;
			cursor: default;
			@include box-shadow(none);
		}
	}

	input[type=submit] {
		@include button-variant($primary, $primary);
	}

	input[type=button] {
		@include button-variant($secondary, $secondary);
	}
}

.mobile.tiki-cypht, .mobile.tiki-webmail {
	.content_cell .content_title {
		&, .list_controls {
			background: $popover-header-bg;
			color: $popover-header-color;
		}
	}

	.msg_controls {
		background: $popover-header-bg !important;
	}

	.folder_list {
		background-color: $popover-bg;
		color: $popover-body-color;
		border: 1px solid $input-border-color;

		.src_name {
			background: $popover-header-bg;
			color: $popover-header-color;
			border-left-color: transparent;
		}
	}

	.nux_dev_news table td:last-child {
		border-bottom: 1px solid $input-border-color;
	}
}
